#ifndef FUNKCE_H
#define FUNKCE_H

#include <exception>
#include<highgui.h>
#include <cv.h>

#include <iostream>
#include <cmath>

#include "my_image.h"
#include <vector>

struct BOD {
    int x;
    int y;
    int val;
    BOD(){this->x=0;this->y=0;this->val=0;};
    BOD(int xx,int yy,int vval){x=xx;y=yy;val=vval;}
    BOD(const BOD &s):x(s.x),y(s.y),val(s.val){} // copy constructor
    bool operator<(const BOD &druhy) const;
};



void show_image(my_image * img);
void save_image(my_image * img,char * name);
void show_point_on_image(my_image *img ,std::vector<BOD> body,int size);

void my_mouse_callback_write_pixel( int event, int x, int y, int flags, void* param );

my_image * edge(my_image * img,double t1=0,double t2=100,int size=3);
void invert(IplImage * dest);

#endif // FUNKCE_H
